Bug 185288 - Review Request: libchmxx - C++ bindings for chmlib
Summary: Review Request: libchmxx - C++ bindings for chmlib
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-03-13 10:14 UTC by Patrice Dumas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 00:08:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrice Dumas 2006-03-13 10:14:07 UTC
SRPM Name or Url: 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/libchmxx-0.1-1.src.rpm
Description: 

This is a C++ library for accessing Microsoft(tm) help
files (usually with extension chm).

Comment 1 Rex Dieter 2006-03-13 20:30:25 UTC
2 initial comments:
1.  put %doc html/ in the -devel pkg
2.  omit static lib

Comment 2 Patrice Dumas 2006-03-13 22:52:07 UTC
Fixed here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/libchmxx-0.1-2.src.rpm

I personally think that there are valid uses of an app linked statically with
chmlib/chmlibxx (for portability), however as there are no static libs with
chmlib, it doesn't make sense to have some with libchmxx.

Comment 3 John Mahowald 2006-04-18 04:26:47 UTC
- rpmlint checks return:
W: libchmxx-debuginfo objdump-failed
E: libchmxx-devel only-non-binary-in-usr-lib
symlink, can ignore

You need a %defattr on %files devel

- package meets naming guidelines
- package meets packaging guidelines
- license ([L]GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file


- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r

Looking good otherwise.

Comment 4 Patrice Dumas 2006-04-18 21:51:36 UTC
Fixed here (too lazy to bump release)

http://www.environnement.ens.fr/perso/dumas/fc-srpms/libchmxx-0.1-2.src.rpm

Comment 5 John Mahowald 2006-04-23 18:51:38 UTC
Fixed version builds fine.

APPROVED as per comment 3

Comment 6 Patrice Dumas 2006-04-24 00:08:11 UTC
Built in devel, thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.